<?php
/*
===========================注册模块控制器
*/
class cls_tab_hr_meet extends cls_base_table
{
	private $perms;
	//构造函数
	function __construct()
	{
		parent::__construct();
		global $obj_db;
		$this->obj_db=$obj_db;
		$this->perms["state"]=array("待审"=>0,"通过"=>1);
	}
	function __get($name){
		if(isset($this->perms["$name"])){
			return $this->perms["$name"];
		}
	}
	function __set($name,$value){
		if(isset($this->perms["$name"])){
			$this->perms["$name"]=$value;
		}else{
		}
	}
	//保存
	function on_save($arr_fields)
	{
		$arr_return=array("err"=>"","id"=>0);
		(!isset($arr_fields["meet_id"]))? $arr_fields["meet_id"]=0:$arr_fields["meet_id"]=intval($arr_fields["meet_id"]);
		//保存操作
		$lng_id=$arr_fields["meet_id"];
		unset($arr_fields["meet_id"]);//释放id
		$arr_fields["meet_updatetime"]=TIME;
		if($lng_id<1){
			$arr_fields["meet_addtime"]=TIME;
			$arr_return=self::_insert($arr_fields);
		}else{
			$str_where="meet_id='".$lng_id."'";
			$arr_return=self::_update($arr_fields,$str_where);
			$arr_return["id"]=$lng_id;
		}
		return $arr_return;
	}
	//添加
	private function _insert($arr_fields)
	{
		$arr_return=array("err"=>"","id"=>0);
		if(!isset($arr_fields["meet_title"])||$arr_fields["meet_title"]==""){
			$arr_return["err"]="招聘会标题不能为空！";
			return $arr_return;
		}
		$arr_fields["meet_addtime"]=TIME;
		$arr_return=parent::on_insert(DB_PRE."hr_meet",$arr_fields);
		return $arr_return;
	}
	//修改
	private function _update($arr_fields,$msg_where)
	{
		$arr_return=array("err"=>"","id"=>0);
		$arr_return=parent::on_update(DB_PRE."hr_meet",$arr_fields,$msg_where);
		return $arr_return;
	}
	//删除
	function on_del($arr_id)
	{
		$arr_return=array("err"=>"");
		$str_id=get_arr_id($arr_id);
		if($str_id==""){
			$arr_return["err"]="没有指定要删除的记录！";
			return $arr_return;
		}
		$arr_return=parent::on_del(DB_PRE."hr_meet","meet_id in(".$str_id.")");
		return $arr_return;
	}
	function on_state($arr_id,$msg_val){
		$arr_return=array("err"=>"");
		$str_id=get_arr_id($arr_id);
		if($str_id==""){
			$arr_return["err"]="没有指定要设置的记录！";
			return $arr_return;
		}
		global $obj_db;
		$arr_return["err"]=$obj_db->execute("update ".DB_PRE."hr_meet set meet_state=".intval($msg_val)." where meet_id in(".$str_id.")");
		return $arr_return;
	}
}
?>
